api_user_gen_new_admin:
    path: /create-new-admin
    controller: App\Application\ApiBundle\Controller\UserController::createNewAdmin

api_user_login:
    path: /integration/login
    controller: App\Application\ApiBundle\Controller\UserController::loginForIntegration

api_user_app_login:
    path: /app/login
    controller: App\Application\ApiBundle\Controller\UserController::loginForApp

api_user_forgot_password:
    path: /forgot-password
    controller: App\Application\ApiBundle\Controller\UserController::forgotPassword
    methods: ['POST']

api_user_reset_password:
    path: /reset-password/{resetPasswordToken}
    controller: App\Application\ApiBundle\Controller\UserController::resetPassword
    methods: ['POST']

api_user_channel_login:
    path: /channel/login
    controller: App\Application\ApiBundle\Controller\UserController::loginForChannel
    methods: ['POST']

api_user_channel_force_login:
    path: /channel/force-login
    controller: App\Application\ApiBundle\Controller\UserController::forceLoginForChannel
    
api_user_list:
    path: /
    controller: App\Application\ApiBundle\Controller\UserController::list
    methods: ['GET']

api_user_add:
    path: /
    controller: App\Application\ApiBundle\Controller\UserController::add
    methods: ['POST']

api_user_detail:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\UserController::detail
    methods: ['GET']

api_user_update:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\UserController::update
    methods: ['POST']

api_user_delete:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\UserController::delete
    methods: ['DELETE']